<?php

// Web routes  for campaign.

include('routes.php');


if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            include('routes.php');

        }
    );
}

// Workflow routes for campaign

Route::prefix('{guard}/campaign')->group(function () {

    Route::get('/workflow/{campaign}/{user}', 'CampaignWorkflowController@get')
        ->name('campaign.campaign.workflow');
    Route::post('/workflow/{campaign}/{user}', 'CampaignWorkflowController@post');

    Route::get('/action/{campaign}/{user}', 'CampaignActionController@get')
        ->name('campaign.campaign.action');
    Route::post('/action/{campaign}/{user}', 'CampaignActionController@post');

});

