<?php

namespace Litecms\Campaign\Events;

use Illuminate\Broadcasting\InteractsWithSockets;
use Illuminate\Foundation\Events\Dispatchable;
use Illuminate\Queue\SerializesModels;
use Litecms\Campaign\Models\Campaign;

class CampaignAction
{
    use Dispatchable, InteractsWithSockets, SerializesModels;

    /**
     * Create a new event instance.
     */
    public function __construct(
        public string $action,
        public Campaign $campaign,
        public array $request = [],
        public string $when = 'after'
    ) {}
}
