<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateLitecmsCampaignCampaignsTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: litecms_campaign_campaigns
         */
        Schema::create('litecms_campaign_campaigns', function ($table) {
            $table->increments('id');
            $table->string('ref', 30)->nullable();
            $table->integer('offplan_id')->nullable();
            $table->string('name', 100)->nullable();
            $table->text('type')->nullable();
            $table->string('status', 30)->nullable();
            $table->tinyInteger('automatic_assign')->nullable();
            $table->tinyInteger('direct_assign')->nullable();
            $table->string('direct_assign_expiry', 30)->nullable();
            $table->integer('assigned_id')->nullable();
            $table->date('start_date')->nullable();
            $table->date('end_date')->nullable();
            $table->integer('budget')->nullable();
            $table->integer('team')->nullable();
            $table->text('marking', 200)->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('litecms_campaign_campaigns');
    }
}
