<?php

// Routes for campaign.

// Guard routes for campaign
Route::prefix('{guard}/campaign')->group(function () {

    Route::get('campaign/report/{report}', 'CampaignReportController');
    Route::patch('campaign/actions/{action}', 'CampaignActionsController');
    Route::patch('campaign/action/{campaign}/{action}', 'CampaignActionController');
    Route::patch('campaign/workflow/{campaign}/{transition}', 'CampaignWorkflowController');
    Route::resource('campaign', 'CampaignResourceController');
});



// Public routes for campaign
Route::get('campaigns/', 'CampaignPublicController@index');
Route::get('campaign/{slug?}', 'CampaignPublicController@show');
